## slsqlite 0.4.0

=== Makefile ===
#---------------------------------------------------------------------------
# Installation Directories
#---------------------------------------------------------------------------
prefix = /usr/local
exec_prefix = ${prefix}
MODULE_INSTALL_DIR = ${exec_prefix}/lib/slang/v2/modules
SL_FILES_INSTALL_DIR = ${prefix}/share/slsh/local-packages
HLP_FILES_INSTALL_DIR = $(SL_FILES_INSTALL_DIR)/help

#---------------------------------------------------------------------------
# DESTDIR is designed to facilitate making packages.  Normally it is empty
#---------------------------------------------------------------------------
DESTDIR =
DEST_MODULE_INSTALL_DIR = $(DESTDIR)$(MODULE_INSTALL_DIR)
DEST_SL_FILES_INSTALL_DIR = $(DESTDIR)$(SL_FILES_INSTALL_DIR)
DEST_HLP_FILES_INSTALL_DIR = $(DESTDIR)$(HLP_FILES_INSTALL_DIR)

#---------------------------------------------------------------------------
# Location of the S-Lang library and its include file
#---------------------------------------------------------------------------
SLANG_INC	= -I/usr/local/include
SLANG_LIB	= -L/usr/local/lib -lslang

#---------------------------------------------------------------------------
# C Compiler to create a shared library
#---------------------------------------------------------------------------
CC_SHARED 	= $(CC) $(CFLAGS) -shared -Wall -fPIC

#---------------------------------------------------------------------------
# Misc Programs required for installation
#---------------------------------------------------------------------------
INSTALL		= /usr/bin/install -m 644
MKINSDIR        = /usr/bin/install -d
#---------------------------------------------------------------------------
# You shouldn't need to edit anything below this line
#---------------------------------------------------------------------------

LIBS = $(SLANG_LIB) -lm -lsqlite3
INCS = $(SLANG_INC)

all: sqlite-module.so

sqlite-module.so: sqlite-module.c
	$(CC_SHARED) $(INCS) -g sqlite-module.c -o sqlite-module.so $(LIBS)

sqlite.o: sqlite-module.c
	gcc $(CFLAGS) $(INCS) -O2 -c -g sqlite-module.c -o sqlite.o

sqlite.hlp: sqlitefuns.tm
	tmexpand -Mslhlp sqlitefuns.tm sqlite.hlp


clean:
	rm -f sqlite-module.so *.o

#---------------------------------------------------------------------------
# Installation Rules
#---------------------------------------------------------------------------
install_directories:
	$(MKINSDIR) $(DEST_MODULE_INSTALL_DIR)
	$(MKINSDIR) $(DEST_SL_FILES_INSTALL_DIR)
	$(MKINSDIR) $(DEST_HLP_FILES_INSTALL_DIR)

install_modules:
	$(INSTALL) sqlite-module.so $(DEST_MODULE_INSTALL_DIR)
install_slfiles:
	$(INSTALL) sqlite.sl $(DEST_SL_FILES_INSTALL_DIR)
install_hlpfiles:
	$(INSTALL) sqlite.hlp $(DEST_HLP_FILES_INSTALL_DIR)

install: all install_directories install_modules install_slfiles install_hlpfiles

## slsqlite 0.5.1

=== debian/changelog ===
slsqlite (0.5.1-3) unstable; urgency=medium

  * QA upload.

  * d/control: Drop versioned constraint on jed and slrn in Suggests
  * d/p/honor-cppflags-ldflags.patch: New patch
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Sun, 21 Nov 2021 04:21:06 -0300

slsqlite (0.5.1-2) unstable; urgency=medium

  * QA upload.

  * d/rules: Prevent parallel building

 -- Rafael Laboissière <rafael@debian.org>  Wed, 29 Sep 2021 14:36:36 -0300

slsqlite (0.5.1-1) unstable; urgency=medium

  * QA upload.

  * New upstream version 0.5.1
  * Create Git repository at Salsa.d.o.
    The Git repository was created with "gbp import-dscs --debsnap". The
    layout of the repository follows DEP-14.
  * d/s/format: Use source format 3.0 (quilt)
  * Bump debhelper compatibility level to 13
    + d/control: Set dependency on debhelper-compat = 13
    + d/compat: Drop file
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.6.0 (no changes needed)
  * Switch from CDBS to debhelper
    + d/rules: Use the dh sequencer
    + d/control: Drop build-dependencies on cdbs and quilt
  * d/copyright: Convert to DEP-5 format
  * d/p/01-add-format-argument.patch: Drop patch (fixed upstream)
  * d/watch: Bump version to 4 (no changes)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 27 Sep 2021 11:53:07 -0300

slsqlite (0.4.0-4) unstable; urgency=medium

  * QA (group) upload
  * d/control:
    + Remove myself from the Uploaders list (closes: #571883)
    + Set Maintainer to Debian QA Group (orhpaned package)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 01 Aug 2016 17:07:41 -0300

slsqlite (0.4.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * 01-add-format-argument.patch: add format argument to avoid format-security
    error while building. (Closes: #646487)
  * debian/control, debian/rules: Add quilt system to apply patches.

 -- Mònica Ramírez Arceda <monica@probeta.net>  Sun, 04 Dec 2011 13:24:33 +0100

slsqlite (0.4.0-3) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.1 (no changes needed)
    + The package is now maintained with Git at alioth.debian.org.  Add
      Vcs-Git field and change Vcs-Browser accordingly.
    + Fix Lintian warning debhelper-but-no-misc-depends
    + Bump build dependency on debhelper to >= 7
  * debian/compat: Set compatibility level of debhelper to 7

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 26 Apr 2009 12:11:34 +0200

slsqlite (0.4.0-2) unstable; urgency=low

  * debian/control:
    + Use the now official Vcs-* fields instead of the obsolete XS-Vcs-*
    + Dropped the Homepage pseudo-header from the extended description
    + Bumped Standards-Version to 3.7.3

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 16 Dec 2007 00:27:05 +0100

slsqlite (0.4.0-1) unstable; urgency=low

  * New upstream release
  * debian/control: Added Homepage field

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 15 Oct 2007 22:46:05 +0200

slsqlite (0.3.0-1) unstable; urgency=low

  * First official release to unstable (closes: #440262, #440399)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 01 Sep 2007 09:57:35 +0200

slsqlite (0.3.0-1~pre1) unstable; urgency=low

  * Initial pre-release

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 31 Aug 2007 13:51:23 +0200

Local Variables:
eval: (add-local-hook
  'debian-changelog-add-version-hook
  (lambda ()
    (save-excursion
      (forward-line -1)
      (beginning-of-line)
      (insert "\n   [ "
        (or (getenv "DEBFULLNAME") (user-full-name)) "]"))))
End:

=== debian/control ===
Source: slsqlite
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libslang2-dev (>= 2.0.4-6),
               libsqlite3-dev
Standards-Version: 4.6.0
Homepage: http://www.cheesit.com/downloads/slang/slsqlite.html
Vcs-Git: https://salsa.debian.org/debian/slsqlite.git
Vcs-Browser: https://salsa.debian.org/debian/slsqlite
Rules-Requires-Root: no

Package: slang-sqlite
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: slsh (>= 2.0) | jed | slrn
Description: S-Lang bindings to the sqlite3 database library
 The S-Lang module contained in this package provides bindings to the
 SQLite3 database engine.  This module can be used in slsh (the S-Lang
 shell), in the JED editor, and in the news reader slrn.

=== debian/watch ===
version=4
http://www.cheesit.com/downloads/slang/slsqlite.html .*/slsqlite-([\d.]+).tgz

## slsqlite 0.6.2

=== Makefile ===
# -*- sh -*-


SHELL = /bin/sh

all:
	cd src; $(MAKE) all
clean:
	cd src; $(MAKE) clean
	/bin/rm -f *~ \#*
distclean: clean
	cd src; $(MAKE) distclean
	/bin/rm -f config.log config.cache config.status Makefile
check:
	cd src; $(MAKE) check
install:
	cd src; $(MAKE) install

configure: autoconf/aclocal.m4 autoconf/configure.ac
	cd autoconf && autoconf && mv ./configure ..
update: autoconf/config.sub autoconf/config.guess
autoconf/config.guess: /usr/share/misc/config.guess
	/bin/cp -f /usr/share/misc/config.guess autoconf/config.guess
autoconf/config.sub: /usr/share/misc/config.sub
	/bin/cp -f /usr/share/misc/config.sub autoconf/config.sub

=== debian/changelog ===
slsqlite (0.6.2-2) unstable; urgency=medium

  * d/rules: Remove the top-level Makefile if necessary before cleaning
  * d/clean: New file

 -- Rafael Laboissière <rafael@debian.org>  Sat, 04 Dec 2021 04:06:22 -0300

slsqlite (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2
  * d/p/honor-cppflags-ldflags.patch: Drop patch (Applied upstream)
  * Adopt package (Closes: #748265)
  * Use new location for upstream tarball
    + d/watch: Ditto
    + d/s/lintian-overrides: Drop file
  * d/u/metadata: Update URL in Repository field
  * d/p/update-autoconf-2.71.patch: New patch
  * d/control: Build-depend on slsh (needed for unit testing)
  * d/control: Add Multi-Arch: same
  * d/t/control: Add autopkgtest support
  * Allow autoreconf of configuration files
    + d/autoreconf: Declare autoconf/ as directory to act on
    + d/s/options: Ignore configure file
    + d/.gitignore: Ignore debian/autoreconf.* files
    + d/rules: Move autoconf/configure to top-level directory
    + d/rules: Do not run autoheader
  * d/slang-sqlite.examples: Install unit tests as examples

 -- Rafael Laboissière <rafael@debian.org>  Thu, 02 Dec 2021 12:29:58 -0300

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --no-parallel

export AUTOHEADER = true
execute_after_dh_autoreconf:
	mv autoconf/configure .

override_dh_auto_install:
	dh_auto_install -- prefix=/usr INSTALL="install -m 644"

# The presence of the top-level Makefile in the upstream tarball
# yields failure in the autobuilders. The code below prevents the
# execution of "make clean" the "dh clean" command when src/Makefile is
# absent. A request has been sent upstream:
# https://lists.jedsoft.org/lists/slang-devel/2021/0000020.html
execute_before_dh_auto_clean:
	[ -f src/Makefile ] || rm -f Makefile

## slsqlite 0.6.3

=== debian/changelog ===
slsqlite (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * d/rules: Drop hack around the Makefiles (fixed upstream)
  * d/clean: Add trailing slash

 -- Rafael Laboissière <rafael@debian.org>  Wed, 08 Dec 2021 09:57:04 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: slsqlite
 Section: interpreters
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libslang2-dev (>= 2.0.4-6),
-               libsqlite3-dev
+               libsqlite3-dev,
+               slsh
 Standards-Version: 4.6.0
 Homepage: http://www.cheesit.com/downloads/slang/slsqlite.html
 Vcs-Git: https://salsa.debian.org/debian/slsqlite.git
@@ -13,6 +14,7 @@
 
 Package: slang-sqlite
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: slsh (>= 2.0) | jed | slrn
 Description: S-Lang bindings to the sqlite3 database library

## slsqlite 0.6.4

=== debian/changelog ===
slsqlite (0.6.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 12:56:50 -0300

slsqlite (0.6.4-1) unstable; urgency=medium

  * New upstream version 0.6.4
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 19 Aug 2022 11:47:03 -0300

=== debian/control ===
Source: slsqlite
Section: interpreters
Priority: optional
Maintainer: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               libslang2-dev,
               libsqlite3-dev,
               slsh
Standards-Version: 4.6.1
Homepage: http://www.cheesit.com/downloads/slang/slsqlite.html
Vcs-Git: https://salsa.debian.org/debian/slsqlite.git
Vcs-Browser: https://salsa.debian.org/debian/slsqlite
Rules-Requires-Root: no

Package: slang-sqlite
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: slsh | jed | slrn
Description: S-Lang bindings to the sqlite3 database library
 The S-Lang module contained in this package provides bindings to the
 SQLite3 database engine.  This module can be used in slsh (the S-Lang
 shell), in the JED editor, and in the news reader slrn.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --no-parallel

export AUTOHEADER = true
execute_after_dh_autoreconf:
	mv autoconf/configure .

override_dh_auto_install:
	dh_auto_install -- prefix=/usr INSTALL="install -m 644"

=== debian/watch ===
version=4
https://www.jedsoft.org/snapshots/ .*/slsqlite-(.*).tar.gz

## slsqlite 0.6.5

=== doc/tm/Makefile ===
# -*- sh -*-
#
# To create the SGML files, you will need to install the tm-utils
# package.  See http://www.jedsoft.org/ for more information.
#
TMEXPAND = tmexpand
SL2TM = sl2tm
TM2HLP = $(TMEXPAND) -Mslhlp

MODULE = sqlite
AUTOGEN_TM = 
MODULE_DEPS = $(HLPFUNS_TM) $(AUTOGEN_TM) local.tm
HLPFUNS_TM = helpfile.tm
HLP_FILE_DEPS = $(MODULE)funs.tm local.tm

TXT_FILES = $(MODULE).txt
SGML_FILES = $(MODULE).sgml
HTML_FILES = $(MODULE).html
TEX_FILES = $(MODULE).tex
PS_FILES = $(MODULE).ps 
PDF_FILES = $(MODULE).pdf
HLP_FILE = $(MODULE).hlp

SGML2LATEX = sgml2latex -p letter -o tex
SGML2HTML = sgml2html
SGML2TXT = sgml2txt -f
LATEX = latex
PDFLATEX = pdflatex

TEXTDIR = ../text
PSDIR = ../ps
HTMLDIR = ../html
SGMLDIR = ../sgml
PDFDIR = ../pdf
HELPDIR = ../help

SUBDIRS = $(TEXTDIR) $(HTMLDIR) $(PSDIR) $(SGMLDIR) $(PDFDIR) $(HELPDIR)
SRCDIR = `pwd`

default: $(TXT_FILES) $(HLP_FILE)
all: $(HTML_FILES) $(PDF_FILES) $(TXT_FILES) $(PS_FILES) $(HLP_FILE)
text-files: $(TXT_FILES)
#----- SGML Files -----------------------------------------------------------
$(MODULE).sgml : $(MODULE).tm $(MODULE_DEPS)
	$(TMEXPAND) $(MODULE).tm $(MODULE).sgml
#----- HTML Files -----------------------------------------------------------
$(MODULE).html : $(MODULE).sgml
	$(SGML2HTML) $(MODULE).sgml
#----- TeX Files ------------------------------------------------------------
$(MODULE).tex : $(MODULE).sgml
	$(SGML2LATEX) $(MODULE).sgml
	jed -script ./fixtex.sl $(MODULE).tex
#----- PDF Files -----------------------------------------------------------
$(MODULE).pdf : $(MODULE).tex
	$(MAKE) texclean
	$(PDFLATEX) $(MODULE).tex
	$(PDFLATEX) $(MODULE).tex
	$(PDFLATEX) $(MODULE).tex
#----- PS Files -----------------------------------------------------------
$(MODULE).ps : $(MODULE).tex texclean
	$(LATEX) $(MODULE).tex
	$(LATEX) $(MODULE).tex
	$(LATEX) $(MODULE).tex
	dvips -o $(MODULE).ps $(MODULE).dvi
#----- Text Files -----------------------------------------------------------
$(MODULE).txt: $(MODULE).sgml
	$(SGML2TXT) $(MODULE).sgml
#----------------------------------------------------------------------------
help-files: $(HLP_FILE)
$(HLP_FILE): $(HLPFUNS_TM) $(HLP_FILE_DEPS)
	$(TMEXPAND) -Mslhlp $(HLPFUNS_TM) $(HLP_FILE)
texclean:
	-rm -f *.dvi *.log *.aux *.toc *.out
clean: texclean
	-rm -f *~ rtl/*.BAK rtl/*~ *.tmp *-error
distclean: clean
	-rm -f *.html *.ps $(HLP_FILE) $(TXT_FILES) $(TEX_FILES) $(SGML_FILES) $(PDF_FILES) $(AUTOGEN_TM)
install-txt: $(TXT_FILES)
	-mkdir ../text
	-mv $(TXT_FILES) ../text
install-help: $(HLP_FILE)
	-mkdir -p $(HELPDIR)
	-mv $(HLP_FILE) $(HELPDIR)
install-all: all install-help install-txt $(PS_FILES) $(PDF_FILES)
	-mkdir -p $(HTMLDIR) $(PSDIR) $(PDFDIR)
	-mv *.html $(HTMLDIR)
	-mv $(PS_FILES) ../ps
	-mv $(PDF_FILES) ../pdf
install: install-txt install-help

=== debian/changelog ===
slsqlite (0.6.5-3) unstable; urgency=medium

  * d/watch: Convert to format version 5

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 Oct 2025 10:12:39 -0300

slsqlite (0.6.5-2) unstable; urgency=medium

  * Upload to unstable
  * d/control: Drop “Rules-Requires-Root: no”, which is now the default

 -- Rafael Laboissière <rafael@debian.org>  Mon, 08 Sep 2025 06:37:26 -0300

slsqlite (0.6.5-1) experimental; urgency=medium

  * New upstream version 0.6.5
  * d/p/make-shuffle.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 30 May 2025 11:40:46 -0300

slsqlite (0.6.4-3) experimental; urgency=medium

  * d/u/metadata: Update upstream repository URLs
  * d/p/make-shuffle.patch: New patch (Closes: #1105652)
  * d/rules: Drop unnecessary --no-parallel option
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 17 May 2025 18:37:30 -0300

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --no-parallel
+	dh $@
 
 export AUTOHEADER = true
 execute_after_dh_autoreconf:

=== debian/watch ===
Version: 5

Source: https://www.jedsoft.org/snapshots/
Matching-Pattern: .*/slsqlite-@ANY_VERSION@@ARCHIVE_EXT@
